from django.db import models
from django.urls import reverse


class Author(models.Model):
    first_name = models.CharField(max_length=100)
    last_name = models.CharField(max_length=100)
    age = models.IntegerField()
    nationality = models.CharField(max_length=100)
    bio = models.TextField()

    def __str__(self):
        return '{} {}'.format(self.first_name, self.last_name)
    
    def get_absolute_url(self):
        return reverse('bookshelf:author_details', args=[self.pk])
    
    def get_books(self):
        return Book.objects.filter(author=self)

class Book(models.Model):
    title = models.CharField(max_length=100)
    author = models.ForeignKey(Author, on_delete = models.CASCADE, related_name = "books")
    publisher = models.CharField(max_length=100)
    year_published = models.IntegerField()
    ISBN = models.IntegerField()
    blurb = models.TextField()

    def __str__(self):
         return "{} ({}, {})".format(self.title, self.author, self.year_published)
    
    def get_absolute_url(self):
        return reverse('bookshelf:book_details', args=[self.pk])