from django.shortcuts import render
from django.views.generic.detail import DetailView
from django.views.generic.list import ListView
from django.http import HttpResponse

from .models import Author, Book

def home_view(request):
    return render(request,'bookshelf/home.html')

class AuthorList(ListView):
    model = Author
    template_name = 'bookshelf/authors.html'

class BookList(ListView):
    model = Book
    template_name = 'bookshelf/books.html'

class AuthorView(DetailView):
    model = Author
    template_name = 'bookshelf/author_details.html'

class BookView(DetailView):
    model = Book
    template_name = 'bookshelf/book_details.html'